
# Company

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The Intrinio ID of the company |  [optional]
**ticker** | **String** | The stock market ticker symbol associated with the company&#39;s common stock securities |  [optional]
**name** | **String** | The company&#39;s common name |  [optional]
**lei** | **String** | The Legal Entity Identifier (LEI) assigned to the company |  [optional]
**legalName** | **String** | The company&#39;s official legal name |  [optional]
**stockExchange** | **String** | The Stock Exchange where the company&#39;s common stock is primarily traded |  [optional]
**sic** | **String** | The Standard Industrial Classification (SIC) determined by the company and filed with the SEC |  [optional]
**shortDescription** | **String** | A one or two sentence description of the company&#39;s operations |  [optional]
**longDescription** | **String** | A one paragraph description of the company&#39;s operations and other corporate actions |  [optional]
**ceo** | **String** | The Chief Executive Officer of the company |  [optional]
**companyUrl** | **String** | The URL of the company&#39;s primary corporate website or primary internet property |  [optional]
**businessAddress** | **String** | The company&#39;s business address |  [optional]
**mailingAddress** | **String** | The mailing address reported by the company |  [optional]
**businessPhoneNo** | **String** | The phone number reported by the company |  [optional]
**hqAddress1** | **String** | The company&#39;s headquarters address - line 1 |  [optional]
**hqAddress2** | **String** | The company&#39;s headquarters address - line 2 |  [optional]
**hqAddressCity** | **String** | The company&#39;s headquarters city |  [optional]
**hqAddressPostalCode** | **String** | The company&#39;s headquarters postal code |  [optional]
**entityLegalForm** | **String** | The company&#39;s legal organization form |  [optional]
**cik** | **String** | The Central Index Key (CIK) assigned to the company by the SEC as a unique identifier, used in SEC filings |  [optional]
**latestFilingDate** | [**LocalDate**](LocalDate.md) | The date of the company&#39;s last filing with the SEC |  [optional]
**hqState** | **String** | The state (US &amp; Canada Only) where the company headquarters are located |  [optional]
**hqCountry** | **String** | The country where the company headquarters are located |  [optional]
**incState** | **String** | The state (US &amp; Canada Only) where the company is incorporated |  [optional]
**incCountry** | **String** | The country where the company is incorporated |  [optional]
**employees** | **Integer** | The number of employees working for the company |  [optional]
**entityStatus** | **String** |  |  [optional]
**sector** | **String** | The company&#39;s operating sector |  [optional]
**industryCategory** | **String** | The company&#39;s operating industry category |  [optional]
**industryGroup** | **String** | The company&#39;s operating industry group |  [optional]
**template** | **String** | The financial statement template used by Intrinio to standardize the as reported data |  [optional]
**standardizedActive** | **Boolean** | If true, the company has standardized and as reported fundamental data via the Intrinio API; if false, the company has as-reported data only |  [optional]



